package com.vp.plugin.sample.nicknameplugin;

import com.vp.plugin.*;

public class NicknamePlugin implements VPPlugin {

	public void loaded(VPPluginInfo aArg0) {
		/*
		 * This plugin show how does openapi work with nickname.
		 * 
		 * openapi provides:
		 * 1. Getting nicknames from project. (Please refer to ListProjectNicknamesActionController)
		 * 2. Adding nickname into project. (Please refer to AddProjectNicknameActionController)
		 * 3. Switching project's nickname. (Please refer to SwitchToNextNicknameActionController)
		 * 4. Get real name or current nickname of ModelElement. (Please refer to SwitchToNextNicknameActionController)
		 *    PS: Not support getting ModelElement's nickname from another Project's nicknames
		 * 
		 * 
		 * An example on how to create nickname can be found at http://knowhow.visual-paradigm.com/?p=2234
		 * 
		 */
	}

	public void unloaded() {
	}

}
